Skip to Content
inclamoDocs

Get a single conversation

GET
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}

Retrieves the details of a specific conversation

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

conversation_id*integer

The numeric ID of the conversation

Response Body

Success

application/json
  1. response
id?integer

Id of the conversation

uuid?string

UUID of the conversation

inbox_id?integer

The inbox id of the conversation

contact_last_seen_at?integer

Timestamp of when the contact last seen the conversation (Unix timestamp)

status?string

The status of the conversation

Value in"open""resolved""pending""snoozed"
agent_last_seen_at?integer

Timestamp of when the agent last seen the conversation (Unix timestamp)

messages?array<>

Messages in the conversation

contact?

Full serialized contact record returned when the public API renders a Contact model directly.

Example Request
curl -X GET 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string/conversations/0'
Example Response
{  "id": 0,  "uuid": "string",  "inbox_id": 0,  "contact_last_seen_at": 0,  "status": "open",  "agent_last_seen_at": 0,  "messages": [    {      "id": 0,      "content": "string",      "message_type": 0,      "content_type": "string",      "content_attributes": {},      "created_at": 0,      "conversation_id": 0,      "attachments": [        {          "id": 0,          "message_id": 0,          "file_type": "image",          "account_id": 0,          "extension": "string",          "data_url": "string",          "thumb_url": "string",          "file_size": 0,          "width": 0,          "height": 0,          "coordinates_lat": 0,          "coordinates_long": 0,          "fallback_title": "string",          "meta": {},          "transcribed_text": "string"        }      ],      "sender": {        "id": 0,        "name": "string",        "avatar_url": "string",        "thumbnail": "string",        "type": "contact",        "available_name": "string",        "availability_status": "string",        "email": "string",        "phone_number": "string",        "identifier": "string",        "blocked": true,        "additional_attributes": {},        "custom_attributes": {},        "description": "string",        "created_at": "string"      }    }  ],  "contact": {    "id": 0,    "name": "string",    "email": "string",    "phone_number": "string",    "identifier": "string",    "blocked": true,    "additional_attributes": {},    "custom_attributes": {},    "contact_type": "string",    "country_code": "string",    "last_activity_at": "string",    "created_at": "string",    "updated_at": "string",    "last_name": "string",    "middle_name": "string",    "location": "string",    "account_id": 0,    "company_id": 0,    "label_list": [      "string"    ]  }}